import java.util.*;
import java.sql.*;
import java.io.BufferedInputStream;
import java.io.FileInputStream;


public class jdbc {
		Connection conn;
		Properties props;

		// Constructor
		public jdbc(String argv[]) {

				try {
						props = new Properties();
						BufferedInputStream stream = new BufferedInputStream(new FileInputStream("jdbc.properties"));
						props.load(stream);
						stream.close();

						String driver = "oracle.jdbc.driver.OracleDriver";
						System.setProperty("oracle.net.tns_admin","/usr/local/oracle/network/admin");

						String cs = props.getProperty("jdbc.cstring");
						//System.out.println("cs = " + cs);

						Class.forName(driver);

						conn = DriverManager.getConnection(cs);


						//	       System.out.println("Got a connection.");

						sql(props.getProperty("jdbc.sqlcmd"));
				}
				catch (Exception e) {
						System.out.println("CRITICAL: " + e.getMessage());
						// e.printStackTrace();
						System.exit(2);
				}
		}

		private void sql(String cmd) {
				try {
						Statement st1 = conn.createStatement();
						ResultSet rs1 = st1.executeQuery(cmd);

						while (rs1.next())
						{
								System.out.println(rs1.getString(1));
						}
				}
				catch (Exception e) {
						System.out.println("CRITICAL: " + e.getMessage());
						//e.printStackTrace();

						System.exit(2);
				}
		}

		public static void main(String args[]) {
				// Dynamicalize
				jdbc j = new jdbc(args);
				System.exit(0);
		}


} // class





