#!/bin/bash

cat /proc/mdstat | grep 'raid1.*(F)' | while read mddev col state raidlevel part1 part2; do
	echo "# $mddev: "
	part1f=$(echo $part1 | grep '(F)')
	part1=$(echo $part1 | sed 's/\[[0-9]\].*//')
	part2f=$(echo $part2 | grep '(F)')
	part2=$(echo $part2 | sed 's/\[[0-9]\].*//')
	echo -n "# SMART Status: "
	if [ -n "$part1f" ]; then
		/usr/lib/nagios/plugins/check_ide_smart -d /dev/$part1 -n
		echo "mdadm /dev/$mddev -r /dev/$part1"
		echo "mdadm /dev/$mddev -a /dev/$part1"
	elif [ -n "$part2f" ]; then
		/usr/lib/nagios/plugins/check_ide_smart -d /dev/$part2 -n
		echo "mdadm /dev/$mddev -r /dev/$part2"
		echo "mdadm /dev/$mddev -a /dev/$part2"
	fi
done

